# $Revision: 1.29 $, $Date: 2004/09/24 18:54:47 $
Summary:	XMMS Plugin for Crossfading and Continuous Output
Summary(pl):	Wtyczka do XMMS zapewniajca dwik bez przerw
Name:		xmms-output-crossfade
Version:	0.3.8
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://www.eisenlohr.org/xmms-crossfade/xmms-crossfade-%{version}.tar.gz
# Source0-md5:	fbfff1bff29118309b0a02c713b13d50
Patch0:		%{name}-xmms.patch
URL:		http://www.eisenlohr.org/xmms-crossfade/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
Requires:	xmms
Provides:	xmms-output-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{xmms_output_plugindir}

%description
xmms-output-crossfade features:
- Crossfading: Crossfade between two songs, i.e. fade out the end of
  the current song while fading in the beginning of the next for a
  smooth transition. Length and volume of the fadings can be adjusted
  separately for fading in and out.
- Fadein/Fadeout: Smoothly fadein/fadeout at the beginning or end of
  playback.
- Continuous output: Keeps the audio device opened when switching from
  one song to the next. When used with the Gap-Killer, this allows for
  seamless playback of whole albums without any audible interruption
  between the tracks.
- Gap-Killer: Removes the short gaps of silence at the beginning
  and/or end of mp3 files. These gaps are caused by some mp3-encoders.
- Automatic detection of live albums: Automatically detects live
  albums and pre-mixed tracks which already are crossfaded. For those
  tracks, crossfading can be disabled automatically.
- High quality: XMMS-crossfade can take special care to avoid the
  clicks some soundcards produce when suddenly being stopped. Also, it
  can improve quality when seeking within a song.
- Secondary effect plugin: XMMS-crossfade allows you to select a
  second effect plugin. This is useful for example when using the
  volume normalizing plugin together with the icecast plugin.

%description -l pl
Moliwoci xmms-output-crossfade to:
- pynne przechodzenie midzy dwoma utworami
- pynne wchodzenie i wyciszanie na pocztku i kocu odtwarzania
- cige odtwarzanie dwiku, take przy przechodzeniu midzy
  utworami; w poczeniu z Gap-Killerem daje to moliwo odtworzenia
  caego albumu bez adnej syszalnej przerwy
- Gap-Killer - usuwajcy fragmenty ciszy na pocztku i kocu plikw
  mp3 (spowodowane przez niektre kodery)
- automatyczne wykrywanie albumw koncertowych i pre-miksowanych, na
  ktrych cieki ju maj pynne przejcia - dla nich dodawanie
  pynnych przej moe by automatycznie wyczane
- wysoka jako - XMMS-crossfade stara si unika trzaskw
  wystpujcych na niektrych kartach dwikowych przy zatrzymywaniu
  odtwarzania
- wtyczka dodatkowego efektu: XMMS-crossfade pozwala wybra dodatkow
  wtyczk, np. do normalizacji wraz z wtyczk icecast.

%prep
%setup -n xmms-crossfade-%{version} -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-player=xmms
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO ChangeLog
%attr(755,root,root) %{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-output-crossfade.spec,v $
Revision 1.29  2004/09/24 18:54:47  paladine
- updated to 0.3.8

Revision 1.28  2004/09/18 13:45:07  wolf
- reverted to 0.3.5; 0.3.6 is heavily broken (30% system time usage)

Revision 1.25  2004/08/09 16:47:08  pluto
- updated to 0.3.5 (thx. to Piotr Budny).

Revision 1.24  2003/11/11 01:12:30  ankry
- caps unification

Revision 1.23  2003/11/10 22:50:16  qboosh
- typo, unification

Revision 1.22  2003/10/08 21:29:45  wolf
- 0.3.4

Revision 1.21  2003/08/05 10:52:36  grzegol
- added xmms patch (don't require xmms while building)

Revision 1.20  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.19  2003/06/23 14:08:02  ankry
- updated URLs, md5

Revision 1.18  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/21 12:46:25  migo
- up to 0.3.2

Revision 1.15  2003/01/31 22:22:32  migo
- fixes/typos in summaries/descriptions

Revision 1.14  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.13  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.12  2002/10/01 15:30:40  kloczek
- release 4: use new %doc.

Revision 1.11  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:15:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/05 16:10:16  blues
- release 3
- added ac/am stuff regeneration (BR added)

Revision 1.5  2002/01/04 12:41:02  wolf
- provides xmms-output-plugin
- release 2

Revision 1.4  2001/12/12 09:31:48  wolf
- fixed typo

Revision 1.3  2001/12/11 14:34:41  qboosh
- pl description, cosmetics

Revision 1.2  2001/12/11 13:28:51  ankry
- fixed Source0 name

Revision 1.1  2001/12/11 10:47:08  wolf
Initial release
